> ## Documentation Index
> Fetch the complete documentation index at: https://docs-relytone.data.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User API Keys List

> Get all API keys for the current user



## OpenAPI

````yaml api/openapi.yaml get /user/api-keys
openapi: 3.0.3
info:
  title: Relyt Console API
  description: >
    Relyt Console API provides organization management, project management,
    compute resource management, database management and other features.

    This is a modern API service based on Next.js, supporting OAuth2
    authentication and JWT tokens.
  version: 1.0.0
  contact:
    name: Relyt Team
    email: support@relyt.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://relytone.data.cloud/api/v1
    description: Production Environment
security:
  - OAuth2: []
  - BearerAuth: []
paths:
  /user/api-keys:
    get:
      tags:
        - User
      summary: Get User API Keys List
      description: Get all API keys for the current user
      responses:
        '200':
          description: Successfully retrieved API keys list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiKey'
        '401':
          description: Unauthorized access
        '500':
          description: Internal server error
      security:
        - BearerAuth: []
components:
  schemas:
    ApiKey:
      type: object
      properties:
        id:
          type: string
          description: API key identifier
        key:
          type: string
          description: API key (partially hidden)
        fullKey:
          type: string
          description: Full API key (only returned when creating)
        name:
          type: string
          description: API key name
        description:
          type: string
          description: API key description
        createdAt:
          type: string
          format: date-time
          description: Creation time
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://relytone.data.cloud/api/auth/signin
          tokenUrl: https://relytone.data.cloud/api/auth/callback
          scopes:
            read: Read permissions
            write: Write permissions
            admin: Admin permissions
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````